Bug 1120206 - Installer changes required for package: systemd-container [NEEDINFO]
Summary: Installer changes required for package: systemd-container
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Brian Lane
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks: 1114029
TreeView+ depends on / blocked
 
Reported: 2014-07-16 12:25 UTC by Eng Ops Maitai User
Modified: 2015-03-05 14:02 UTC (History)
5 users (show)

Fixed In Version: anaconda-19.31.92-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 14:02:03 UTC
bcl: needinfo? (engops-maitai)


Attachments (Terms of Use)
patch so --dirinstall will work (1.63 KB, patch)
2014-09-18 18:44 UTC, Brian Lane
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0312 normal SHIPPED_LIVE anaconda bug fix and enhancement update 2015-03-05 17:35:22 UTC

Comment 3 Daniel Walsh 2014-09-02 23:24:32 UTC
systemd-container should only be used within docker images, it should never be used on bare metal systems.

Comment 4 Colin Walters 2014-09-16 21:19:54 UTC
I'm not aware of any installer changes necessary for this.  The main thing we need to prevent is anaconda somehow seeing systemd-container in the yum repositories used for regular installations.

I think it's in RHEL Extras, so as long as the installation target doesn't include that, Anaconda should be fine.

Comment 5 Colin Walters 2014-09-16 21:20:57 UTC
Oh, but maybe this is about the opposite use case, where someone was hitting issues building a Docker container using ImageFactory (which uses Anaconda)?

Comment 7 Brian Lane 2014-09-18 18:43:46 UTC
There's a bug in --dirinstall that needs to be fixed (I'll attach a patch). With that fix I've tested a minimal kickstart using fakesystemd or systemd-container, and as long as you don't include kickstart commands that trigger calls to systemctl a -anaconda --dirinstall --text --kickstart=... works fine.

Don't include firstboot or services and it will work fine. If there are specific problems, please add them to this bug and I'll take a look at them.

Comment 8 Brian Lane 2014-09-18 18:44:12 UTC
Created attachment 939010 [details]
patch so --dirinstall will work

Comment 12 errata-xmlrpc 2015-03-05 14:02:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0312.html


Note You need to log in before you can comment on or make changes to this bug.